


DVI2PS(1)                                               DVI2PS(1)


NNAAMMEE
       dvi2ps - convert a DVI file to PostScript

SSYYNNOOPPSSIISS
       ddvvii22ppss [--DD _v_a_r_=_v_a_l] [--FF _f_o_n_t_d_e_s_c] [--KK] [--RR _n] [--SS]
            [--cc _o_u_t_p_u_t_-_f_i_l_e] [--dd] [--ff _n] [--ii _f_i_l_e] [--mm _n] [--nn _n]
            [--oo _s_t_r] [--qq] [--rr] [--ss _f_i_l_e] [--tt _n] [--ww]
            [_d_v_i_f_i_l_e[..ddvvii]]

DDEESSCCRRIIPPTTIIOONN
       This program converts a DVI file to PostScript, and writes
       the result to standard output.  If no _d_v_i_f_i_l_e is given, it
       reads from standard input.  The setting for the printer is
       given by the fontdesc file.

OOPPTTIIOONNSS
       --DD _v_a_r_=_v_a_l
              specify a value of a variable _v_a_r as _v_a_l_.

       --FF _f_o_n_t_d_e_s_c
              specify a fontdesc file.

       --KK     remove comments from included PS files.

       --RR _n   specify the resolution of the printer (n dpi).

       --SS     turn on printing of statistics.  Some  versions  of
              _d_v_i_2_p_s  will optionally print statistics about font
              usage and some other information that is  generally
              only  interesting to developers.  On these systems,
              --SS turns on the statistics printing.

       --cc _o_u_t_p_u_t_-_f_i_l_e
              write the output  to  _o_u_t_p_u_t_-_f_i_l_e  instead  of  the
              standard output.

       --dd     select  debugging  output  (you probably don't want
              to).

       --ff _n   specify a starting page number (this is a TeX  page
              number - \count0).

       --ii _f_i_l_e
              copy the named file to the output.  The contents of
              the file named will be copied  to  the  Prolog-part
              (cf. PostScript Document Structuring Convention) of
              the output.

       --mm00 | --mmhh | --mm11 | --mm22 | --mm33 | --mm44 | --mm55
              specify a magstep to use  to  print  the  document.
              This overrides whatever might be in the DVI file.

       --mm _n   specify  a  magnification to use to print the docu-
              ment.  Magic numbers 1000, 1095, 1200, 1440,  1728,



                         4 September 2000                       1





DVI2PS(1)                                               DVI2PS(1)


              2074 or 2488 correspond to above magsteps.

       --nn _n   specify the number of copies to print.

       --oo _s_t_r specify  a printing option.  Valid options are lleett--
              tteerr, nnoottee, lleeggaall, ttaabbllooiidd,  aa33,  aa44,  aa55,  bb44,  bb55,
              llaannddssccaappee, lleetttteerrllaannddssccaappee, nnootteellaannddssccaappee, lleeggaalleenn--
              vveellooppee, ttaabbllooiiddllaannddssccaappee, aa33llaannddssccaappee, aa44llaannddssccaappee,
              aa55llaannddssccaappee,  bb44llaannddssccaappee,  bb55llaannddssccaappee,  eennvveellooppee,
              llaarrggee, ssmmaallll, and mmaannuuaallffeeeedd.  This argument may be
              repeated  several  times.  eennvveellooppee is a variant of
              llaannddssccaappee that selects manual feed and does  proper
              positioning for regular envelopes.

       --qq     be  quiet.   Don't  chatter  about pages converted,
              etc.

       --rr     stack pages in reverse order.   Normally,  the  DVI
              pages  are  processed  in  reverse  order, with the
              result that they are stacked in the  correct  order
              in the output tray.  This option reverses that.

       --ss _f_i_l_e
              copy the named file to the output.  The contents of
              the file named will be  copied  to  the  Setup-part
              (cf. PostScript Document Structuring Convention) of
              the output.

       --tt _n   specify an ending page number.

       --ww     Don't print out warnings.

NNOOTTEESS
       This is a `bare bones' DVI-to-PostScript program.  Minimal
       error checking is done.

       Not  all  fonts  are available in the resolution needed to
       display on the laser printer;   when  a  missing  font  is
       encountered,  _d_v_i_2_p_s  will  continue  to  process your DVI
       file, and will log a warning message. Gaps will appear  in
       the  document  where  the  missing  characters should have
       been.

       It can take up to 60 seconds for the first page to be out-
       put.  After a head of steam has been built up, it can roll
       along at 5-10 seconds per page.


PPoossttSSccrriipptt IILLLLUUSSTTRRAATTIIOONNSS
       This program supports use of the \\ssppeecciiaall command  in  TeX
       to  include  special  PostScript  code  for graphics, etc.
       Specifying \\ssppeecciiaall{{ppssffiillee==ffoooo..ppss}} in the TeX source  will
       result  in the contents of file _f_o_o_._p_s (assumed to contain
       PostScript code) being copied  into  the  output  at  that



                         4 September 2000                       2





DVI2PS(1)                                               DVI2PS(1)


       point.  For most included graphics, the user's (0,0) point
       will be set to the point of the \\ssppeecciiaall  command  with  _x
       and  _y  coordinates  increasing up and to the right and in
       units of PostScript points  (72/inch)  --  thus  you  must
       explicitly leave space above the \\ssppeecciiaall command for most
       graphics.  For  graphics  produced  by  Apple  Macintoshes
       (i.e.,  MacDraw,  MacPaint,  etc.), the top left corner of
       the drawing will be at the point of the \\ssppeecciiaall  command;
       in  this  case you must leave the required space below the
       \\ssppeecciiaall.

       The \\ssppeecciiaall string can contain any number of the  follow-
       ing _k_e_y_w_o_r_d_=_v_a_l_u_e pairs, separated by blanks:

       _K_e_y_w_o_r_d   _V_a_l_u_e _T_y_p_e    (dimensions  in  points: 72 pt = 1
                               in)

       psfile    string        - PostScript file to include
       epsfile   string        - Encapsulated PostScript file  to
                               include
       hsize     dimension     -  maximum  horizontal  size  (for
                               clipping)
       vsize     dimension     - maximum vertical size (for clip-
                               ping).   Use  negative  values  to
                               specify a  clipping  region  below
                               the current position.
       hoffset   dimension     - amount to shift right
       voffset   dimension     - amount to shift up
       hscale    number        - scale factor in x-dimension
       vscale    number        - scale factor in y-dimension
       rotation  number        - counter-clockwise rotation angle

       Thus:
        \\ssppeecciiaall{{ppssffiillee==ffoooo..ppss hhooffffsseett==7722 hhssccaallee==00..99 vvssccaallee==00..99}}
       will shift the graphics produced by file _f_o_o_._p_s  right  by
       1", and will draw it at 0.9 normal size.

       hhssiizzee  and  vvssiizzee are given relative to the (0,0) point of
       the drawing and are unaffected by offsets and scales.

       Offsets are given relative to the point  of  the  \\ssppeecciiaall
       command, and are unaffected by scales.

       If  Macintosh  drawings  are  to  be  included, the proper
       LaserPrep file must be downloaded to the  printer,  either
       permanently  or  as another header file in addition to the
       standard _t_e_x_._p_s header file.

FFIILLEESS
       *.dvi                 TeX DeVice Independent output file
       /usr/local/share/texmf/fonts/.../
                             default font file directories
       /usr/local/lib/dvi2ps/fontdesc
                             default fontdesc file



                         4 September 2000                       3





DVI2PS(1)                                               DVI2PS(1)


SSEEEE AALLSSOO
       tex(1)

BBUUGGSS
       There is likely a limit to the size of documents that  can
       be  printed  (at least, on the Apple LaserWriter).  If you
       get VMerrors reported when printing, use  the  --ff  and  --tt
       options,  to  select a range of pages.  The exact limit is
       unknown, but is probably well in excess of  50  pages  for
       `normal'  documents,  decreasing  with number of different
       fonts used, size of fonts, etc.


AAUUTTHHOORRSS
       Mark Senn wrote the early versions of this program for the
       BBN  BitGraph.   Stephan  Bechtolsheim, Bob Brown, Richard
       Furuta, James Schaad and Robert Wells improved  it.   Norm
       Hutchinson  ported  the  program  to  the Sun.  Neal Holtz
       ported it to the Apollo, and then to  produce  PostScript.
       Jean-Francois  Lamy  fixed  the  interface  for PostScript
       illustrations.

       (PostScript is a trademark of Adobe Systems, Inc.)


































                         4 September 2000                       4


